---
updatedAt: 2025-09-14T23:42:44.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/v11.14.0/llms.txt
---

# Updates an existing account by name

```xml Sample Request Body
<account>
	<name>John Smith</name>
	<directory_user>false</directory_user>
	<full_name>John Smith</full_name>
	<email>john.smith@company.com</email>
	<email_address>john.smith@company.com</email_address>
	<enabled>Enabled</enabled>
	<force_password_change>true</force_password_change>
	<access_level>Full Access</access_level>
	<privilege_set>Administrator</privilege_set>
	<password>sample</password>
	<site>
		<id>-1</id>
		<name>None</name>
	</site>
	<privileges>
		<jss_objects>
			<privilege>string</privilege>
		</jss_objects>
		<jss_settings>
			<privilege>string</privilege>
		</jss_settings>
		<jss_actions>
			<privilege>string</privilege>
		</jss_actions>
		<recon>
			<privilege>string</privilege>
		</recon>
		<casper_admin>
			<privilege>string</privilege>
		</casper_admin>
		<casper_remote>
			<privilege>string</privilege>
		</casper_remote>
		<casper_imaging>
			<privilege>string</privilege>
		</casper_imaging>
	</privileges>
</account>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.12.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "paths": {
    "/accounts/username/{name}": {
      "put": {
        "x-explorer-enabled": false,
        "tags": [
          "accounts"
        ],
        "summary": "Updates an existing account by name",
        "operationId": "updateAccountByName",
        "parameters": [
          {
            "description": "Name value to filter by",
            "in": "path",
            "name": "name",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Created"
          }
        }
      }
    }
  },
  "x-si-base": "swagger.yaml",
  "x-github-repo": "jamf/Classic-API-Swagger-Specification",
  "x-github-sha": "070fac498a589aaa0958641a68e4065584fc244a",
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  }
}
```